# 1. Find actual visual column width of content area
# 2. Parse current cursor position and buffer line content
# 3. Split the logical line into chunks based on wrap width
# 4. Move cursor to the same column offset on the wrapped line

define-command visual-down %{
    nop %sh{
		line="$kak_cursor_line"
		col="$kak_cursor_column"
		width="$kak_window_width"
		count="$kak_buf_line_count"
		path="$kak_buffile"
		new_col=$($kak_config/scripts/nav.py "$line" "$col" "$width" "$count" "$path" "down")
		# TODO: figure out how to jump to this column?
    }
}

